Task

For instructions on how to authenticate to use this endpoint, see API overview.

Endpoints

POST
POST
POST

Create task channels onboarding session test

Feature-flagged test path that creates a repeatable session from explicit prompt-building inputs, in the requester's personal space.

Required API key scopes

task:write

Request parameters

  • model
    string | null
  • company_domain
    string
    Default:
  • joining_existing_organization
    boolean
    Default: false
  • has_events
    boolean
    Default: false
  • signal_reports_waiting
    integer
    Default: 0
  • other_members
    array
  • sources_enabled
    array
  • sources_watching
    array
  • sources_newly_enabled
    boolean
    Default: false

Response


Example request

POST /api/projects/:project_id/task_channels/onboarding_session_test
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/task_channels/onboarding_session_test/\
-d model="string"

Example response

Status 200
RESPONSE
{
"task_id": "736fde4d-9029-4915-8189-01353d6982cb",
"channel_id": "bbe8aa76-a4bb-46f6-a785-df8e831cc459"
}

Create task channels provision defaults

Get-or-create the requester's personal #me channel and the team's shared #general channel, and report which of the two this call created. Idempotent.

Required API key scopes

task:write

Response


Example request

POST /api/projects/:project_id/task_channels/provision_defaults
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/task_channels/provision_defaults/

Example response

Status 200 The channel list plus which default channels this call created
RESPONSE
{
"channels": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"channel_type": "string",
"github_integration": 0,
"repositories": [
"string"
],
"auto_archive_after_days": 0,
"created_at": "2019-08-24T14:15:22Z",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "string",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "string"
},
"starred": true,
"system_role": "personal"
}
],
"personal_created": true,
"general_created": true
}

Create task channels teaching canvas test

Feature-flagged test path that resolves or creates the teaching canvas in the requester's personal space.

Required API key scopes

task:write

Response


Example request

POST /api/projects/:project_id/task_channels/teaching_canvas_test
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/task_channels/teaching_canvas_test/

Example response

Status 200
RESPONSE
{
"canvas_id": "b62c6beb-2de8-4ee5-ac63-068ebe40140b",
"channel_id": "bbe8aa76-a4bb-46f6-a785-df8e831cc459"
}